- Qt 5.5
- Qt Sensors
- C++ Classes
- QRotationSensor
- Qt 5.5.1 Reference Documentation

# QRotationSensor Class

The QRotationSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QRotationSensor>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

- List of all members, including inherited members

## Properties

- hasZ : const bool

- 20 properties inherited from QSensor

## Public Functions

| QRotationSensor(QObject * parent = 0)
virtual | ~QRotationSensor()
bool | hasZ() const
QRotationReading * | reading() const
void | setHasZ(bool hasZ)

- 37 public functions inherited from QSensor

## Signals

void | hasZChanged(bool hasZ)

- 14 signals inherited from QSensor

### Additional Inherited Members

- 2 public slots inherited from QSensor
- 3 static public members inherited from QSensor

## Detailed Description

The QRotationSensor class is a convenience wrapper around QSensor.

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QRotationReading instead of a QSensorReading.

For details about how the sensor works, see QRotationReading.

See also QRotationReading.

## Property Documentation

### hasZ : const bool

This property holds a value indicating if the z angle is available.

Returns true if z is available. Returns false if z is not available.

Access functions:

bool | hasZ() const

Notifier signal:

void | hasZChanged(bool hasZ)

## Member Function Documentation

### QRotationSensor::QRotationSensor(QObject * parent = 0)

Construct the sensor as a child of parent.

### `[virtual]` QRotationSensor::~QRotationSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QRotationReading * QRotationSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().

### void QRotationSensor::setHasZ(bool hasZ)

Sets whether the z angle is available to hasZ. This is to be called from the backend. By default the hasZ property is true, so a backend only has to call this if its rotation sensor can not report z angles.

This function was introduced in Qt 5.1.

See also hasZ().